/*
 * Copyright (c) 2003 Patrick van Staveren <pvanstav@cs.wmich.edu>
 * Copyright (c) 2005 Mario Streiber <mario.streiber@gmx.de>
 * Copyright (c) 2005-2009 Kemal Ilgar Eroglu <ilgar_eroglu@yahoo.com> 
 * 
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

//put the includes

#include "libcommon.h"

//
// A struct to hold player-specific data. There are already 2 generic members of plugin_data 
// for this purpose: (gint) xmms_session for xmms-like session ids and (gpointer) dbusproxy
// to store dbus session ids. If anything else is needed, put them in a struct, malloc
// space for it in player_init and attach to pd->extradata 
//

typedef struct {

 gbla 	blabla;

} bla_t;


//
// Initializes the player (open dbus connection etc.). Is also the right place to malloc
// the space for extra (if any) player data and attach it to pd->extra data. Returns true on successful
// initialization.
//
gboolean player_init (gpointer cdata) {
	
}	

//
// De-init (close dbus connections etc.). Any data in pd->extradata must be freed
//
gboolean player_deinit (gpointer cdata) {
	
}	

//
// This one must work safely even when player_init fails.
// Saves player specific options to the rc file.
//
void player_save_special_options (gpointer cdata) {
	
}

//
// This one must work safely even when player_init fails
//
void player_read_special_options (gpointer cdata) {
	
}

//
// This one must work safely even when player_init fails
//
// Populates the the container for the player-specific options in the
// properties window.
// The value-holding widgets can be stored in the array pd->spec_opt_widget
// for fetching their value later by player_update_special_options
// The array size is MAX_SPEC_OPTIONS
//
void player_populate_special_options (gpointer cdata) {
	
}

//
// This one must work safely even when player_init fails
//
// This one reads the values in the special options section
// of the properties window when "OK" is clicked (i.e. when the window is closed).
// Must return TRUE if there is any change that requires reinitialization

gboolean player_update_special_options (gpointer cdata) {


}

void player_playlist (gpointer cdata, gchar ** list, gint num, gboolean enqueue) {
	
}


void  player_play (gpointer cdata) {
	
}	


void player_pause (gpointer cdata) {
	
}


void player_stop (gpointer cdata) {
	
}

gboolean player_is_playing (gpointer cdata) {

}


gboolean player_is_paused (gpointer cdata) {

}


gint player_get_playlist_pos (gpointer cdata) {

}


void player_set_playlist_pos (gpointer cdata, gint pos) {

}


gint player_get_playlist_length (gpointer cdata) {

}


//
// Elapsed time for the current song, in seconds
//
gint player_get_output_time (gpointer cdata) {

}

void player_jump_to_time (gpointer cdata, gint pos) {
	
}


void player_get_volume (gpointer cdata, gint * vl, gint * vr) {

}


void player_set_volume (gpointer cdata, gint vl, gint vr) {

}

//
// Returns the filename. The result is freed by the plugin.
//
gchar * player_get_playlist_file (gpointer cdata, gint pos) {

}

//
// Returns the title. The result is freed by the plugin.
//
gchar * player_get_playlist_title (gpointer cdata, gint pos) {

}

//
// The total time for the current song in seconds 
//
gint player_get_playlist_time (gpointer cdata, gint pos) {

}

void player_show_prefs_box (gpointer cdata) {
	
}

void player_eject (gpointer cdata) {

}


void player_playlist_prev (gpointer cdata) {
	
}


void player_playlist_next (gpointer cdata) {
	
}


gboolean player_is_running (gpointer cdata) {

}


void  player_quit (gpointer cdata) {
	
}

void  player_play_pause (gpointer cdata) {
	
}

//
// Returns the version. The result is freed by the plugin.
//
gchar * player_get_version (gpointer cdata) {

}


void  player_playlist_add (gpointer cdata, GList * list) {
	

}


void  player_playlist_delete (gpointer cdata, gint pos) {

}


void  player_main_win_toggle (gpointer cdata, gboolean show) {
	
}


void  player_pl_win_toggle (gpointer cdata, gboolean show) {
			
}


void  player_eq_win_toggle (gpointer cdata, gboolean show) {
	
}


gboolean  player_is_main_win (gpointer cdata) {

}


gboolean  player_is_pl_win (gpointer cdata) {


}


gboolean  player_is_eq_win (gpointer cdata) {

	
}


void  player_playlist_add_url_string (gpointer cdata, gchar * string) {


}

void  player_toggle_repeat (gpointer cdata) {

		
}	


gboolean  player_is_shuffle (gpointer cdata) {

			
}

void  player_playlist_clear (gpointer cdata) {

}
	
void  player_show_jtf_box (gpointer cdata) {
	
}

void player_toggle_aot (gpointer cdata, gboolean ontop) {


}
